org.eclipse.net4j.signal

## Class RemoteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.signal.RemoteException

- All Implemented Interfaces:
    java.io.Serializable

      public class RemoteException
      extends java.lang.RuntimeException

  An exception that wraps an exception that has been thrown during the execution of a remote `signal`.
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteException(java.lang.String message, boolean whileResponding)`
    `RemoteException(java.lang.Throwable remoteCause, RequestWithConfirmation<?> localRequest, boolean whileResponding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestWithConfirmation<?>` | `getLocalRequest()`
    `java.lang.StackTraceElement[]` | `getLocalStackTrace()` Returns the local stack as it stood at the time that the remote exception was detected locally.
    `void` | `setLocalStacktrace(java.lang.StackTraceElement[] stackTrace)`
    `boolean` | `whileResponding()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteException

          public RemoteException(java.lang.Throwable remoteCause,
                                 RequestWithConfirmation<?> localRequest,
                                 boolean whileResponding)

      Since:
        4.0

    - #### RemoteException

          public RemoteException(java.lang.String message,
                                 boolean whileResponding)

  - ### Method Detail

    - #### whileResponding

          public boolean whileResponding()

    - #### getLocalRequest

          public RequestWithConfirmation<?> getLocalRequest()

      Since:
        4.0

    - #### setLocalStacktrace

          public void setLocalStacktrace(java.lang.StackTraceElement[] stackTrace)

      Since:
        4.0

    - #### getLocalStackTrace

          public java.lang.StackTraceElement[] getLocalStackTrace()

      Returns the local stack as it stood at the time that the remote exception was detected locally. Note that no local problem occurred at the point in the code identified by this stacktrace.
      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html